Skip to main content
GET
/
qr-codes
List QR codes
curl --request GET \
  --url https://api.awardee.dev/v1/qr-codes \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "total": 0,
  "page": 0,
  "page_size": 0,
  "data": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "public_slug": "<string>",
      "url": "<string>",
      "name": "<string>",
      "description": "<string>",
      "destination": {
        "type": "<string>",
        "chatbot": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "page": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "knowledge_base": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "url": "<string>"
      },
      "total_scans": 0,
      "last_scanned_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Query Parameters

page
integer
Required range: 1 <= x <= 9007199254740991
page_size
integer
Required range: 1 <= x <= 100
group_id
string

A QR group UUID, or 'standalone' for codes without a group.

status
string

Comma-separated list. Allowed values: unconfigured, active, inactive, archived.

destination_type
string

Comma-separated list. Allowed values: chatbot, page, url, knowledge_base.

sort
enum<string>
Available options:
recent,
name,
scans

Response

QR codes

object
string
required
Allowed value: "list"
total
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
page
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
page_size
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
data
object[]
required